//---------------------------------------------------------------------------
// File: TMainForm.h, TDx_Library, How The Components Work - Part 1
//
// Date: 12th July, 2002
// Author: Darren John Dwyer
// Copyright: (c) 2002 Darren John Dwyer, All Rights Reserved.
//
// Description:
// Most TDx_Library interface methods usually return a true or false result,
// which can be used to easily structure code for successful DirectX error handling.
//
// This example shows one way of coding an application using the boolean return results.
//
// void __fastcall TForm1::Button1Click(TObject *Sender)
// {
// if (Dx_Sound1->Create(NULL))
//     {
//     ShowMessage("DirectSound interface has been created successfully");
//     if (Dx_SoundBuffer1->CreateFromFile( "TEST.WAV", DSBufferDesc1, Dx_Sound1 ))
//         ShowMessage("DirectSoundBuffer has been created successfully");
//     else ShowMessage("DirectSoundBuffer could not be created successfully");
//     }
// else ShowMessage("DirectSound interface was not created");
// }
//
//---------------------------------------------------------------------------
#ifndef TMainFormH
#define TMainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include "TDx_Sound.h"
#include "TDx_SoundBuffer.h"
#include "TDSBufferDesc.h"
//---------------------------------------------------------------------------

#if (__BORLANDC__ < 0x0530) // BCB Version 1
class TMainForm : public TForm
{
#else // BCB Version 3+
class PACKAGE TMainForm : public TForm
{
#endif

__published:
//---------------------------------------------------------------------------
// Anything that is to be displayed within the Object Inspector
//---------------------------------------------------------------------------

    TMemo *StatusMemo;
    TDx_Sound *Dx_Sound1;
    TDx_SoundBuffer *Dx_SoundBuffer1;
    TDSBufferDesc *DSBufferDesc1;
	TLabel *Label1;
	TPanel *Panel1;
	TLabel *Label16;
	TGroupBox *GroupBox1;
	TLabel *Label4;
	TLabel *Label18;
	TLabel *Label12;
	TLabel *Label21;
	TLabel *Label2;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label10;
	TLabel *Label22;
	TLabel *Label15;
	TLabel *Label6;
	TLabel *Label5;
	TLabel *Label24;
	TLabel *Label20;
	TLabel *Label9;
	TLabel *Label13;
	TLabel *Label11;
	TLabel *Label14;
	TLabel *Label3;
	TBitBtn *TestButton;
	TBitBtn *QuitButton;
	TLabel *Label17;
    TLabel *Label23;
	void __fastcall TestButtonClick(TObject *Sender);
	void __fastcall QuitButtonClick(TObject *Sender);
    void __fastcall Dx_Sound1Create(TObject *Sender);
    void __fastcall Dx_SoundBuffer1Create(TObject *Sender);
    void __fastcall Dx_Sound1Error(TObject *Sender, AnsiString Function,
    AnsiString Error, AnsiString ErrorMessage);

	void __fastcall Dx_SoundBuffer1Error(TObject *Sender, AnsiString Function,
	AnsiString Error, AnsiString ErrorMessage);
	void __fastcall Dx_SoundBuffer1Destroy(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
public:
//---------------------------------------------------------------------------
// Anything available to other classes and/or code
//---------------------------------------------------------------------------

    __fastcall TMainForm(TComponent* Owner);
    virtual __fastcall ~TMainForm();

protected:
//---------------------------------------------------------------------------
// Anything available only to classes descended from this class
//---------------------------------------------------------------------------

private:
//---------------------------------------------------------------------------
// Private data not accessible except from within this class
//---------------------------------------------------------------------------

};
//---------------------------------------------------------------------------
#if (__BORLANDC__ < 0x0530) // BCB Version 1
extern TMainForm *MainForm;
#else // BCB Version 3+
extern PACKAGE TMainForm *MainForm;
#endif
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------

